#!/bin/sh
PRODUCT_ID=`/usr/bin/fw_printenv |  grep productid  | awk -F'=' '{ print $2 }'`
UIID=`/usr/bin/fw_printenv |  grep uiid  | awk -F'=' '{ print $2 }'`
ifconfig wlan0
wlan_exist=$?

if [ -n $UIID ]; then
     if [ $wlan_exist == 0 ] ; then     ##wireless exit
        uiid="PD737W"
     elif [ $wlan_exist == 1 ] ; then   ##wireless not exit
        uiid="PD737"  
     fi
     /usr/bin/fw_setenv uiid $uiid
fi

if [ $PRODUCT_ID != "PD737" -a  $PRODUCT_ID != "PD737W" ]; then
	reboot
	sleep 5
fi
